Skip to main content
GET
/
stores
/
{storeId}
/
payouts
List payouts
curl --request GET \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/payouts \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "items": [
      {
        "id": "<string>",
        "amount": 123,
        "fee": 123,
        "status": "<string>",
        "referenceId": "<string>",
        "payoutMethod": {
          "id": "<string>",
          "isPrimary": true,
          "status": "<string>"
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "page": 123,
      "limit": 123,
      "total": 123,
      "totalPages": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

Paginated list of payouts

ok
boolean
required
data
object
required